- include_tasks: setup_user.yml
  loop: "{{ users }}"

- name: Redémarrer le démon tor pour générer les onions
  service:
    name: tor
    state: restarted

- name: Attendre que les onion perso soient générés
  wait_for:
    path: "/var/lib/tor/{{ item.name }}/hostname"
  loop: "{{ users }}"
